<?php
/**
 * The template for displaying posts in the Image post format
 *
 * @package WordPress
 * @subpackage Jewelrica
 * @since Jewelrica 1.0
 */

$tp_output = toko_grab_image( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'tokopress' ) ); 
?>

<article id="post-<?php echo get_the_ID(); ?>" <?php post_class(); ?>>

	<?php if ( $tp_output['image'] ) : ?>
		<header class="entry-media entry-media-image">
			<div class="entry-media-wrap">
			    <?php if( !is_singular() ) : ?>
		        	<a href="<?php the_permalink(); ?>" rel="bookmark">
				<?php endif; ?>
				<?php printf( '%s', $tp_output['image'] ); ?>
			    <?php if( !is_singular() ) : ?>
			        </a>
				<?php endif; ?>
			</div>
		</header>
	<?php endif; ?>

	<?php if ( trim( $tp_output['content'] ) ) : ?>
		<?php if ( is_singular() ) : ?>
			<h1 class="entry-title sr-only" itemprop="headline"><?php the_title(); ?></h1>
		<?php else : ?>
			<h2 class="entry-title" itemprop="headline"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
		<?php endif; ?>
	<?php endif; ?>
	  
    <div class="entry-meta">
		<?php toko_meta_date( '<i class="simple-icon-clock"></i> ' ); ?>
		<?php if( !is_singular() ) toko_meta_categories( '<i class="simple-icon-folder"></i> ' ); ?>
		<?php toko_meta_author( '<i class="drip-icon-user"></i> ' ); ?>
		<?php toko_meta_edit( '<i class="fa fa-edit"></i> ' ); ?>
	</div>

    <div class="entry-content">

		<?php printf( '%s', $tp_output['content'] ); ?>
		<?php toko_link_pages(); ?>
        
    </div>

    <?php if( is_singular() ) : ?>
	    <div class="entry-footer row">
			<div class="entry-footer-left col-md-6">
				<?php toko_meta_categories( '<div class="meta-category"><span><i class="simple-icon-folder"></i>' . __( 'Categories', 'tokopress' ) . ' </span>', '</div>', ', ' ); ?>
			</div>
			<div class="entry-footer-right col-md-6">
				<?php toko_meta_tags( '<div class="meta-tag"><span><i class="drip-icon-tag"></i> ' . __( 'Tags', 'tokopress' ) . '</span>', '</div>', ', ' ); ?>
			</div>
		</div>
	<?php endif; ?>

</article>
