<?php
/**
 * The template for displaying posts in the Video post format
 *
 * @package WordPress
 * @subpackage Jewelrica
 * @since Jewelrica 1.0
 */

$tp_video = toko_media_grabber( array( 'type' => 'video', 'split_media' => true ) );
?>

<article id="post-<?php echo get_the_ID(); ?>" <?php post_class(); ?>>

	<?php if ( $tp_video ) : ?>
		<header class="entry-media entry-media-video">
			<div class="video-container">
				<?php printf( '%s', $tp_video ); ?>
			</div>
		</header>
	<?php endif; ?>

	<?php if( !is_singular() ) : ?>
        <h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>   
	<?php else : ?>
        <h1 class="entry-title"><?php the_title(); ?></h1>   
	<?php endif; ?>

    <div class="entry-meta">
		<?php toko_meta_date( '<i class="simple-icon-clock"></i> ' ); ?>
		<?php if( !is_singular() ) toko_meta_categories( '<i class="simple-icon-folder"></i> ' ); ?>
		<?php toko_meta_author( '<i class="drip-icon-user"></i> ' ); ?>
		<?php toko_meta_edit( '<i class="fa fa-edit"></i> ' ); ?>
	</div>

    <div class="entry-content">

		<?php if( is_singular() ) : ?>

			<?php the_content(); ?>
	        <?php toko_link_pages(); ?>

		<?php else : ?>

			<?php if( has_excerpt() ) : ?>
				<?php the_excerpt(); ?>
	        <?php endif; ?>

	    <?php endif; ?>
        
    </div>

    <?php if( is_singular() ) : ?>
	    <div class="entry-footer row">
			<div class="entry-footer-left col-md-6">
				<?php toko_meta_categories( '<div class="meta-category"><span><i class="simple-icon-folder"></i>' . __( 'Categories', 'tokopress' ) . ' </span>', '</div>', ', ' ); ?>
			</div>
			<div class="entry-footer-right col-md-6">
				<?php toko_meta_tags( '<div class="meta-tag"><span><i class="drip-icon-tag"></i> ' . __( 'Tags', 'tokopress' ) . '</span>', '</div>', ', ' ); ?>
			</div>
		</div>
	<?php endif; ?>

</article>
