<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package WordPress
 * @subpackage Jewelrica
 * @since Jewelrica 1.0
 */
?>

<article id="post-<?php echo get_the_ID(); ?>" <?php post_class(); ?>>

	<?php if( has_post_thumbnail() ) : ?>
	    <header class="entry-header">
	        <figure>
			    <?php if( !is_singular() ) : ?>
		        	<a href="<?php the_permalink(); ?>" rel="bookmark">
				<?php endif; ?>
	            <?php the_post_thumbnail(); ?>
			    <?php if( !is_singular() ) : ?>
			        </a>
				<?php endif; ?>
	        </figure>
	    </header>
	<?php endif; ?>

    <?php if( !is_singular() ) : ?>
        <h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>   
	<?php else : ?>
        <h1 class="entry-title"><?php the_title(); ?></h1>   
	<?php endif; ?>

    <div class="entry-meta">
		<?php toko_meta_date( '<i class="simple-icon-clock"></i> ' ); ?>
		<?php if( !is_singular() ) toko_meta_categories( '<i class="simple-icon-folder"></i> ' ); ?>
		<?php toko_meta_author( '<i class="drip-icon-user"></i> ' ); ?>
		<?php toko_meta_edit( '<i class="fa fa-edit"></i> ' ); ?>
	</div>

    <div class="entry-content">
    	 
		<?php if( is_singular() ) : ?>

			<?php the_content(); ?>
	        <?php toko_link_pages(); ?>

		<?php else : ?>

			<?php if( has_excerpt() ) : ?>
				<?php the_excerpt(); ?>
			<?php else : ?>
	        	<?php echo '<p>' . wp_trim_words( get_the_content(), 100, '...' ) . '</p>'; ?>
	        	<?php toko_link_pages(); ?>
	        <?php endif; ?>

	    <?php endif; ?>
        
    </div>

    <?php if( is_singular() ) : ?>
	    <div class="entry-footer row">
			<div class="entry-footer-left col-md-6">
				<?php toko_meta_categories( '<div class="meta-category"><span><i class="simple-icon-folder"></i>' . __( 'Categories', 'tokopress' ) . ' </span>', '</div>', ', ' ); ?>
			</div>
			<div class="entry-footer-right col-md-6">
				<?php toko_meta_tags( '<div class="meta-tag"><span><i class="drip-icon-tag"></i> ' . __( 'Tags', 'tokopress' ) . '</span>', '</div>', ', ' ); ?>
			</div>
		</div>
	<?php endif; ?>

</article>
