<?php

add_action( 'customize_register', 'toko_customize_register_theme' );
function toko_customize_register_theme( $wp_customize ) {

	if ( ! isset( $wp_customize ) ) {
		return;
	}

	$wp_customize->get_section( 'background_image' )->priority = 140;
	$wp_customize->get_section( 'background_image' )->title = __( 'Background', 'tokopress' );
	$wp_customize->get_control( 'background_color' )->section = 'background_image';

	$wp_customize->remove_control('header_textcolor');

	$wp_customize->get_section( 'header_image' )->panel = 'toko_header_panel';
	$wp_customize->get_section( 'header_image' )->priority = 20;
}

/**
 * Header Customizer
 */	
add_action( 'customize_register', 'toko_header_customize_register' );
function toko_header_customize_register( $wp_customize ) {

	if ( ! isset( $wp_customize ) ) {
		return;
	}

	$wp_customize->add_panel( 'toko_header_panel', array(
		'title' 		=> 'Header',
		'description'	=> '',
		'priority'		=> 150,
	) );

	/* Top Nav */
	$wp_customize->add_section( 'toko_topnav', array(
        'title'		=> __( 'Top Navigation', 'tokopress' ),
        'priority'	=> 10,
        'panel'		=> 'toko_header_panel'
    ) );
    $option = THEME_NAME.'[topnav_disable]';
    $wp_customize->add_setting(
    	$option,
    	array(
			'default'			=> '',
			'type'				=> 'option',
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'toko_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		$option,
		array(
        'settings' => $option,
        'section'  => 'toko_topnav',
        'label'    => __( 'Disable Top Navigation', 'tokopress' ),
        'type'     => 'checkbox',
    ) );

    $option = THEME_NAME.'[topnav_welcome_message]';
    $wp_customize->add_setting( 
    	$option,
    	array(
			'default'			=> '',
			'type'				=> 'option',
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'toko_sanitize_nohtml',
		)
    );
	$wp_customize->add_control(
		$option,
		array(
			'settings'		=> $option,
		    'section'		=> 'toko_topnav',
		    'label'			=> __( 'Welcome Message', 'tokopress' ),
		    'description'	=> '',
		)
	);

	/* Search */
	$option = THEME_NAME.'[topnav_search_disable]';
	$wp_customize->add_setting( 
		$option,
		array(
			'default'			=> '',
			'type'				=> 'option',
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'toko_sanitize_checkbox',
		)
	);
	$wp_customize->add_control( 
		$option, 
		array(
	        'settings' 		=> $option,
	        'section'  		=> 'toko_topnav',
	        'label'    		=> __( 'Disable Search Form', 'tokopress' ),
	        'description'	=> '',
	        'type'     		=> 'checkbox',
	    )
	);

    /* Account Link */
	$option = THEME_NAME.'[topnav_account_disable]';
	$wp_customize->add_setting(
		$option,
		array(
			'default'			=> '',
			'type'				=> 'option',
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'toko_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		$option,
		array(
	        'settings' => $option,
	        'section'  => 'toko_topnav',
	        'label'    => __( 'Disable Account Navigation', 'tokopress' ),
	        'type'     => 'checkbox',
	    )
	);

    /* Mini Cart */
    if( class_exists( 'woocommerce' ) ) {
		$option = THEME_NAME.'[topnav_minicart_disable]';
		$wp_customize->add_setting(
			$option,
			array(
				'default'			=> '',
				'type'				=> 'option',
				'capability'		=> 'edit_theme_options',
				'sanitize_callback'	=> 'toko_sanitize_checkbox',
			)
		);
		$wp_customize->add_control(
			$option,
			array(
		        'settings' => $option,
		        'section'  => 'toko_topnav',
		        'label'    => __( 'Disable Mini Cart', 'tokopress' ),
		        'type'     => 'checkbox',
		    )
		);
    }

	/* Social Icon */
	$wp_customize->add_section( 'toko_topnav_social', array(
		'title'		=> __( 'Social Icons', 'tokopress' ),
		'priority'	=> 10,
		'panel'		=> 'toko_header_panel'
	) );
	$option = THEME_NAME.'[topnav_social_disable]';
	$wp_customize->add_setting(
		$option,
		array(
			'default'			=> true,
			'type'				=> 'option',
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'toko_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		$option,
		array(
	        'settings' => $option,
	        'section'  => 'toko_topnav_social',
	        'label'    => __( 'Disable Social Icons', 'tokopress' ),
	        'type'     => 'checkbox',
	    )
	);
	
	$socials = array( 'facebook', 'twitter', 'google-plus', 'instagram', 'rss', 'e-mail','youtube', 'flickr', 'linkedin', 'pinterest', 'dribbble', 'github', 'lastfm', 'vimeo', 'tumblr', 'soundcloud', 'behance', 'deviantart' );
	
	for( $scn=0;$scn<18;$scn++ ) {
		$option = THEME_NAME.'[topnav_social_'.$scn.']';
        $social = ucwords( str_replace( '-', ' ', $socials[$scn] ) );
		$wp_customize->add_setting(
			$option,
			array(
				'default'			=> '',
				'type'				=> 'option',
				'capability'		=> 'edit_theme_options',
				'sanitize_callback'	=> 'toko_sanitize_url',
			)
		);
		$wp_customize->add_control(
			$option,
			array(
			    'settings'		=> $option,
			    'section' 		=> 'toko_topnav_social',
			    'label'			=> sprintf( __( '%s URL', 'tokopress' ), $social ),
			    'description'	=> '',
			)
		);
	}

    $wp_customize->add_section( 'toko_header_logo', array(
        'title'		=> __( 'Header Logo', 'tokopress' ),
        'priority'	=> 10,
        'panel'		=> 'toko_header_panel',
    ));
    $option = THEME_NAME.'[header_logo_text]';
    $wp_customize->add_setting(
    	$option,
    	array(
			'default'			=> '',
			'type'				=> 'option',
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'toko_sanitize_nohtml',
	    )
	);
	$wp_customize->add_control(
		$option,
		array(
			'settings'	=> $option,
		    'section'	=> 'toko_header_logo',
		    'label'		=> __( 'Header Logo Text', 'tokopress' ),
		)
	);
	$option = THEME_NAME.'[header_logo_image]';
    $wp_customize->add_setting(
    	$option,
    	array(
			'default'			=> '',
			'type'				=> 'option',
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'toko_sanitize_image',
	    )
	);
    $wp_customize->add_control( new WP_Customize_Image_Control(
    	$wp_customize, 
    	$option,
    	array(
    		'settings'	=> $option,
	        'section'	=> 'toko_header_logo',
	        'label'		=> __( 'Header Logo Image', 'tokopress' ),
		)
	));

}

/**
 * Footer Customizer
 */
add_action( 'customize_register', 'toko_footer_customize_register' );
function toko_footer_customize_register( $wp_customize ) {

	if ( ! isset( $wp_customize ) ) {
		return;
	}

	/* Footer Setting Panel */
	$wp_customize->add_panel( 'toko_footer_panel', array(
		'title'			=> __( 'Footer', 'tokopress' ),
		'description'	=> '',
		'priority'		=> 160,
	) );

	/* Footer Top */
	$wp_customize->add_section( 'toko_footer_widgets_top', array(
        'title'		=> __( 'Footer Widgets Top', 'tokopress' ),
        'priority'	=> 10,
        'panel'		=> 'toko_footer_panel'
    ) );
    $option = THEME_NAME.'[footer_widgets_top_disable]';
    $wp_customize->add_setting(
    	$option,
    	array(
			'default'			=> '',
			'type'				=> 'option',
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'toko_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		$option,
		array(
        'settings' => $option,
        'section'  => 'toko_footer_widgets_top',
        'label'    => __( 'Disable Footer Widgets Top', 'tokopress' ),
        'type'     => 'checkbox',
    ) );

    /* Client Brands */
    $wp_customize->add_section( 'toko_footer_clients', array(
        'title'		=> __( 'Client Images', 'tokopress' ),
        'priority'	=> 20,
        'panel'		=> 'toko_footer_panel'
    ) );
    $option = THEME_NAME.'[footer_clients_disable]';
    $wp_customize->add_setting(
    	$option,
    	array(
		'default'			=> true,
		'type'				=> 'option',
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'toko_sanitize_checkbox',
	) );
	$wp_customize->add_control(
		$option,
		array(
	        'settings' => $option,
	        'section'  => 'toko_footer_clients',
	        'label'    => __( 'Disable Client Images', 'tokopress' ),
	        'type'     => 'checkbox',
	    )
	);

    for( $cn=1;$cn<=6;$cn++ ) {
		$option = THEME_NAME.'[footer_client_image_'.$cn.']';
	    $wp_customize->add_setting(
	    	$option,
	    	array(
		        'default'           => '',
		        'type'           	=> 'option',
		        'capability'        => 'edit_theme_options',
		        'sanitize_callback'	=> 'toko_sanitize_image',
		    )
		);
	    $wp_customize->add_control(
	    	new WP_Customize_Image_Control(
	    		$wp_customize,
	    		$option,
				array(
			        'settings' => $option,
			        'section'  => 'toko_footer_clients',
			        'label'    => sprintf( __( 'Client Image #%s', 'tokopress' ), $cn ),
			    )
			)
	    );
    	$option = THEME_NAME.'[footer_client_url_'.$cn.']';
    	$wp_customize->add_setting(
    		$option,
    		array(
				'default' 			=> '',
				'type'				=> 'option',
				'capability'		=> 'edit_theme_options',
				'sanitize_callback'	=> 'toko_sanitize_url',
			)
		);
		$wp_customize->add_control(
			$option,
			array(
			    'settings'	=> $option,
			    'section'	=> 'toko_footer_clients',
			    'label'		=> sprintf( __( 'Client Url #%s', 'tokopress' ), $cn ),
			)
		);
    }

    /* Footer Bottom */
	$wp_customize->add_section( 'toko_footer_widgets_bottom', array(
        'title'		=> __( 'Footer Widgets Bottom', 'tokopress' ),
        'priority'	=> 30,
        'panel'		=> 'toko_footer_panel'
    ) );
    $option = THEME_NAME.'[footer_widgets_bottom_disable]';
    $wp_customize->add_setting(
    	$option,
    	array(
			'default'			=> '',
			'type'				=> 'option',
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'toko_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		$option,
		array(
        'settings' => $option,
        'section'  => 'toko_footer_widgets_bottom',
        'label'    => __( 'Disable Footer Widgets Bottom', 'tokopress' ),
        'type'     => 'checkbox',
    ) );

	/* Footer Credit */
    $wp_customize->add_section( 'toko_footer_credit', array(
        'title'		=> __( 'Footer Credit', 'tokopress' ),
        'priority'	=> 100,
        'panel'		=> 'toko_footer_panel',
    ));

	$option = THEME_NAME.'[footer_credit_disable]';
	$wp_customize->add_setting(
		$option,
		array(
			'default'			=> '',
			'type'				=> 'option',
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'toko_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		$option,
		array(
	        'settings'	=> $option,
	        'section'	=> 'toko_footer_credit',
	        'label'		=> __( 'Disable Footer Credit', 'tokopress' ),
	        'type'		=> 'checkbox',
	    )
	);

    $option = THEME_NAME.'[footer_credit_left]';
	$wp_customize->add_setting(
		$option,
		array(
			'default'			=> '',
			'type'				=> 'option',
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'toko_sanitize_html',
		)
	);
	$wp_customize->add_control(
		$option,
		array(
		'settings'		=> $option,
	    'section'		=> 'toko_footer_credit',
	    'type'			=> 'textarea',
	    'label'			=> __( 'Footer Credit Left', 'tokopress' ),
	    'description'	=> '',
	) );

	$option = THEME_NAME.'[footer_credit_right]';
	$wp_customize->add_setting(
		$option,
		array(
			'default'			=> '',
			'type'				=> 'option',
			'capability'		=> 'edit_theme_options',
			'sanitize_callback' => 'toko_sanitize_html',
		)
	);
	$wp_customize->add_control(
		$option,
		array(
		    'settings'		=> $option,
		    'section'		=> 'toko_footer_credit',
		    'type'			=> 'textarea',
		    'label'			=> __( 'Footer Credit Right', 'tokopress' ),
		    'description'	=> '',
		)
	);

}

/**
 * Contact Page Template Customizer
 */
add_action( 'customize_register', 'toko_contact_customize_register' );
function toko_contact_customize_register( $wp_customize ) {

	if ( ! isset( $wp_customize ) ) {
		return;
	}

	/* Contact Setting Panel */
	$wp_customize->add_section( 'toko_contact', array(
        'title'		=> __( 'Contact Page Template', 'tokopress' ),
        'priority'	=> 170,
        'panel'		=> ''
    ) );
	$option = THEME_NAME.'[contact_map_disable]';
    $wp_customize->add_setting(
    	$option,
    	array(
			'default'			=> '',
			'type'				=> 'option',
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'toko_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		$option,
		array(
	        'settings' => $option,
	        'section'  => 'toko_contact',
	        'label'    => __( 'DISABLE Google Map', 'tokopress' ),
	        'type'     => 'checkbox',
	    )
	);
	$option = THEME_NAME.'[contact_map_lat]';
    $wp_customize->add_setting(
    	$option,
    	array(
			'default'			=> '',
			'type'				=> 'option',
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'toko_sanitize_nohtml',
		)
	);
	$wp_customize->add_control(
		$option,
		array(
		    'settings'	=> $option,
		    'section'	=> 'toko_contact',
		    'label'		=> __( 'Map Latitude', 'tokopress' ),
		)
	);
	$option = THEME_NAME.'[contact_map_lng]';
	$wp_customize->add_setting(
		$option,
		array(
			'default'			=> '',
			'type'				=> 'option',
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'toko_sanitize_nohtml',
		)
	);
	$wp_customize->add_control(
		$option,
		array(
		    'settings'	=> $option,
		    'section'	=> 'toko_contact',
		    'label'		=> __( 'Map Longitude', 'tokopress' ),
		)
	);
	$option = THEME_NAME.'[contact_map_marker_title]';
	$wp_customize->add_setting(
		$option,
		array(
			'default'			=> '',
			'type'				=> 'option',
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'toko_sanitize_nohtml',
		)
	);
	$wp_customize->add_control(
		$option,
		array(
		    'settings'	=> $option,
		    'section'	=> 'toko_contact',
		    'label'		=> __( 'Marker Title', 'tokopress' ),
		)
	);
	$option = THEME_NAME.'[contact_map_marker_desc]';
	$wp_customize->add_setting(
		$option,
		array(
			'default'			=> '',
			'type'				=> 'option',
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'toko_sanitize_html',
		)
	);
	$wp_customize->add_control(
		$option,
		array(
		    'settings'	=> $option,
		    'section'	=> 'toko_contact',
			'type'		=> 'textarea',
		    'label'		=> __( 'Marker Description', 'tokopress' ),
		)
	);

}