<?php

add_action( 'customize_register', 'toko_customize_register_woocommerce' );
function toko_customize_register_woocommerce( $wp_customize ) {

	if ( ! isset( $wp_customize ) ) {
		return;
	}

	$wp_customize->add_panel(
		'toko_woocommerce',
		array(
			'priority' 			=> 180,
			'capability' 		=> 'edit_theme_options',
			'theme_supports'	=> '',
			'title' 			=> __( 'WooCommerce', 'tokopress' ),
			'description' 		=> '',
		)
	);

		$wp_customize->add_section(
			'toko_woocommerce_shop',
			array(
				'priority' 			=> 10,
				'title'				=> __( 'Shop (Product Grid)', 'tokopress' ),
				'description'		=> '',
				'panel'				=> 'toko_woocommerce',
			)
		);

		/* wc_shop_number */
			$option = THEME_NAME.'[wc_shop_number]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> '12',
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_nohtml',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_shop',
					'type'			=> 'number',
					'label'			=> __( 'Number of products per page', 'tokopress' ),
					'description'	=> '',
				)
			);

		/* wc_shop_columns */
			$option = THEME_NAME.'[wc_shop_columns]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> '3',
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_select',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_shop',
					'type'			=> 'select',
					'label'			=> __( 'Number of columns per row', 'tokopress' ),
					'description'	=> '',
					'choices'		=> array( '4' => '4', '3' => '3', '2' => '2', '1' => '1' ),
				)
			);

		/* wc_shop_result_count_disable */
			$option = THEME_NAME.'[wc_shop_result_count_disable]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> '',
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_shop',
					'type'			=> 'checkbox',
					'label'			=> __( 'DISABLE result count', 'tokopress' ),
					'description'	=> '',
				)
			);

		/* wc_shop_catalog_ordering_disable */
			$option = THEME_NAME.'[wc_shop_catalog_ordering_disable]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_shop',
					'type'			=> 'checkbox',
					'label'			=> __( 'DISABLE catalog ordering', 'tokopress' ),
					'description'	=> '',
				)
			);

		/* wc_shop_overlay_disable */
			$option = THEME_NAME.'[wc_shop_overlay_disable]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_shop',
					'type'			=> 'checkbox',
					'label'			=> __( 'DISABLE buttons on product image', 'tokopress' ),
					'description'	=> '',
				)
			);

		/* wc_shop_saleflash_disable */
			$option = THEME_NAME.'[wc_shop_saleflash_disable]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_shop',
					'type'			=> 'checkbox',
					'label'			=> __( 'DISABLE product sale flash', 'tokopress' ),
					'description'	=> '',
				)
			);

		/* wc_shop_cat_disable */
			$option = THEME_NAME.'[wc_shop_cat_disable]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_shop',
					'type'			=> 'checkbox',
					'label'			=> __( 'DISABLE first product category name', 'tokopress' ),
					'description'	=> '',
				)
			);

		/* wc_shop_title_disable */
			$option = THEME_NAME.'[wc_shop_title_disable]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_shop',
					'type'			=> 'checkbox',
					'label'			=> __( 'DISABLE product title', 'tokopress' ),
					'description'	=> '',
				)
			);

		/* wc_shop_price_disable */
			$option = THEME_NAME.'[wc_shop_price_disable]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_shop',
					'type'			=> 'checkbox',
					'label'			=> __( 'DISABLE product price', 'tokopress' ),
					'description'	=> '',
				)
			);

		/* wc_shop_rating_disable */
			$option = THEME_NAME.'[wc_shop_rating_disable]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_shop',
					'type'			=> 'checkbox',
					'label'			=> __( 'DISABLE product rating', 'tokopress' ),
					'description'	=> '',
				)
			);

		/* wc_shop_addtocart */
			$option = THEME_NAME.'[wc_shop_addtocart]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_shop',
					'type'			=> 'checkbox',
					'label'			=> __( 'ENABLE "add to cart" button', 'tokopress' ),
					'description'	=> '',
				)
			);

		$wp_customize->add_section(
			'toko_woocommerce_product',
			array(
				'priority' 			=> 20,
				'title'				=> __( 'Single Product', 'tokopress' ),
				'description'		=> '',
				'panel'				=> 'toko_woocommerce',
			)
		);

		/* wc_product_saleflash_disable */
			$option = THEME_NAME.'[wc_product_saleflash_disable]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_product',
					'type'			=> 'checkbox',
					'label'			=> __( 'DISABLE product sale flash', 'tokopress' ),
					'description'	=> '',
				)
			);

		/* wc_product_rating_disable */
			$option = THEME_NAME.'[wc_product_rating_disable]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_product',
					'type'			=> 'checkbox',
					'label'			=> __( 'DISABLE product rating', 'tokopress' ),
					'description'	=> '',
				)
			);

		/* wc_product_price_disable */
			$option = THEME_NAME.'[wc_product_price_disable]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_product',
					'type'			=> 'checkbox',
					'label'			=> __( 'DISABLE product price', 'tokopress' ),
					'description'	=> '',
				)
			);

		/* wc_product_excerpt_disable */
			$option = THEME_NAME.'[wc_product_excerpt_disable]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_product',
					'type'			=> 'checkbox',
					'label'			=> __( 'DISABLE product short description', 'tokopress' ),
					'description'	=> '',
				)
			);

		/* wc_product_addtocart_disable */
			$option = THEME_NAME.'[wc_product_addtocart_disable]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_product',
					'type'			=> 'checkbox',
					'label'			=> __( 'DISABLE "add to cart" button', 'tokopress' ),
					'description'	=> '',
				)
			);

		/* wc_product_meta_disable */
			$option = THEME_NAME.'[wc_product_meta_disable]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_product',
					'type'			=> 'checkbox',
					'label'			=> __( 'DISABLE product meta (sku, category, tag)', 'tokopress' ),
					'description'	=> '',
				)
			);

		/* wc_product_description_disable */
			$option = THEME_NAME.'[wc_product_description_disable]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_product',
					'type'			=> 'checkbox',
					'label'			=> __( 'DISABLE product description', 'tokopress' ),
					'description'	=> '',
				)
			);

		/* wc_product_attributes_disable */
			$option = THEME_NAME.'[wc_product_attributes_disable]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_product',
					'type'			=> 'checkbox',
					'label'			=> __( 'DISABLE product attributes (additional information)', 'tokopress' ),
					'description'	=> '',
				)
			);

		/* wc_product_reviews_disable */
			$option = THEME_NAME.'[wc_product_reviews_disable]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_product',
					'type'			=> 'checkbox',
					'label'			=> __( 'DISABLE product review', 'tokopress' ),
					'description'	=> '',
				)
			);

		/* wc_product_upsells_disable */
			$option = THEME_NAME.'[wc_product_upsells_disable]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_product',
					'type'			=> 'checkbox',
					'label'			=> __( 'DISABLE upsells products', 'tokopress' ),
					'description'	=> '',
				)
			);

		/* wc_product_related_disable */
			$option = THEME_NAME.'[wc_product_related_disable]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_product',
					'type'			=> 'checkbox',
					'label'			=> __( 'DISABLE related products', 'tokopress' ),
					'description'	=> '',
				)
			);

		$wp_customize->add_section(
			'toko_woocommerce_cart',
			array(
				'priority' 			=> 40,
				'title'				=> __( 'Cart', 'tokopress' ),
				'description'		=> '',
				'panel'				=> 'toko_woocommerce',
			)
		);

		/* wc_product_cross_sells_disable */
			$option = THEME_NAME.'[wc_product_cross_sells_disable]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_cart',
					'type'			=> 'checkbox',
					'label'			=> __( 'DISABLE cross-sells products', 'tokopress' ),
					'description'	=> '',
				)
			);

		$wp_customize->add_section(
			'toko_woocommerce_myaccount',
			array(
				'priority' 			=> 40,
				'title'				=> __( 'My Account', 'tokopress' ),
				'description'		=> '',
				'panel'				=> 'toko_woocommerce',
			)
		);

		/* woocommerce_enable_myaccount_registration */
			$option = 'woocommerce_enable_myaccount_registration';
			$wp_customize->add_setting(
				'woocommerce_enable_myaccount_registration',
				array(
					'default'			=> false,
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_checkbox',
				)
			);
			$wp_customize->add_control(
				'woocommerce_enable_myaccount_registration',
				array(
					'settings'		=> 'woocommerce_enable_myaccount_registration',
					'section'		=> 'toko_woocommerce_myaccount',
					'type'			=> 'checkbox',
					'label'			=> __( 'ENABLE registration on "My Account" page', 'tokopress' ),
					'description'	=> '',
				)
			);

		/* wc_redirect_after_login */
			$option = THEME_NAME.'[wc_redirect_after_login]';
			$wp_customize->add_setting(
				$option,
				array(
					'default'			=> '',
					'type'				=> 'option',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'toko_sanitize_url',
				)
			);
			$wp_customize->add_control(
				$option,
				array(
					'settings'		=> $option,
					'section'		=> 'toko_woocommerce_myaccount',
					'type'			=> 'url',
					'label'			=> __( 'Redirect URL After Customer Login', 'tokopress' ),
					'description'	=> '',
				)
			);

}
