<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages and that
 * other 'pages' on your WordPress site will use a different template.
 *
 * @package WordPress
 * @subpackage Jewelrica
 * @since Jewelrica 1.0
 */

get_header(); ?>

<?php do_action( 'before_main_content' ); ?>

	<div class="main-content">

		<?php do_action( 'before_inner_main_content' ); ?>

			<?php if( have_posts() ) : ?>
				<?php while( have_posts() ): the_post(); ?>
					
					<article id="post-<?php echo get_the_ID(); ?>" <?php post_class(); ?>>

						<?php if( has_post_thumbnail() ) : ?>
						    <header class="entry-header">
						        <figure>
						            <?php the_post_thumbnail(); ?>
						        </figure>
						    </header>
						<?php endif; ?>

				        <h1 class="entry-title"><?php the_title(); ?></h1>   

					    <div class="entry-content">

							<?php the_content(); ?>
					        <?php toko_link_pages(); ?>

					    </div>

					</article>

					<?php if ( apply_filters( "toko_{$post->post_type}_comment", false ) ) : ?>
						<?php if ( comments_open() || '0' != get_comments_number() ) comments_template(); ?>
					<?php endif; ?>
				<?php endwhile; ?>
			<?php else : ?>
				<?php get_template_part( 'content', '404' ); ?>
			<?php endif; ?>

		<?php do_action( 'after_inner_main_content' ); ?>

	</div>

<?php do_action( 'after_main_content' ); ?>

<?php get_footer(); ?>
