<?php
/**
 * The template for displaying product category thumbnails within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product_cat.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) ) {
	$woocommerce_loop['loop'] = 0;
}

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) ) {
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );
}

// Increase loop count
$woocommerce_loop['loop'] ++;
?>
<li <?php wc_product_cat_class(); ?>>
<div class="product-inner">
	<?php do_action( 'woocommerce_before_subcategory', $category ); ?>

	<figure class="product-image-box">
		<a href="<?php echo get_term_link( $category->slug, 'product_cat' ); ?>">
			<?php
				/**
				 * woocommerce_before_subcategory_title hook
				 *
				 * @hooked woocommerce_subcategory_thumbnail - 10
				 */
				do_action( 'woocommerce_before_subcategory_title', $category );
			?>
		</a>
		<?php if( ! toko_get_option( 'wc_shop_overlay_disable' ) ) : ?>
			<figcaption>
				<a href="<?php echo get_term_link( $category->slug, 'product_cat' ); ?>" class="button product-button drip-icon-chevron-right"></a>
			</figcaption>
		<?php endif; ?>
	</figure>

	<?php if( ! toko_get_option( 'wc_shop_title_disable' ) ) : ?>
		<h3>
			<a href="<?php echo get_term_link( $category->slug, 'product_cat' ); ?>">
				<?php
					echo esc_attr( $category->name );

					if ( $category->count > 0 )
						echo apply_filters( 'woocommerce_subcategory_count_html', ' <mark class="count">(' . $category->count . ')</mark>', $category );
				?>
			</a>
		</h3>
	<?php endif; ?>

	<?php if ( has_action( 'woocommerce_after_subcategory_title' ) ) : ?>
		<a href="<?php echo get_term_link( $category->slug, 'product_cat' ); ?>">
		<?php
			/**
			 * woocommerce_after_subcategory_title hook
			 */
			do_action( 'woocommerce_after_subcategory_title', $category );
		?>
		</a>
	<?php endif; ?>

	<?php do_action( 'woocommerce_after_subcategory', $category ); ?>
</div>
</li>
